﻿# According to https://stackoverflow.com/q/7330187
 
# [System.Environment]::OSVersion.Version
# - does not show [Windows 10 release](https://en.wikipedia.org/wiki/Windows_10_version_history)
# - does not differentiate between Windows 8.1 (6.3.9600) and Windows 8 (6.2.9200)
# - [deprecated](https://blogs.technet.microsoft.com/heyscriptingguy/2014/04/25/use-powershell-to-find-operating-system-version/)
 
# [Environment]::OSVersion is same as previous
 
# Get-WmiObject Win32_OperatingSystem
# - does not show [Windows 10 release](https://en.wikipedia.org/wiki/Windows_10_version_history)
# - [deprecated](https://blogs.technet.microsoft.com/heyscriptingguy/2014/04/25/use-powershell-to-find-operating-system-version/)
 
# Get-CimInstance Win32_OperatingSystem
# - does not show [Windows 10 release](https://en.wikipedia.org/wiki/Windows_10_version_history)
 
# Get-ComputerInfo is PowerShell 5+

$url = 'https://github.com/z3APA3A/3proxy/releases/download/0.8.12/3proxy-0.8.12.zip'
$urlVista2003 = 'https://github.com/z3APA3A/3proxy/releases/download/0.8.12/3proxy-0.8.12-lite.zip'
$checksum = '05ce51c22edd83eee4b16300b4059169b46626beae344df0e3b387fd5232d4be'
$checksumVista2003 = 'a87880319614031c9082f4997fe944bc356b272d10b1b7ab3c355c3c19b28e24'

function getFile{
    $windowsVersion = Get-ItemProperty "HKLM:\SOFTWARE\Microsoft\Windows NT\CurrentVersion"
	if ([double]$windowsVersion.CurrentVersion -ge 5.2) {
		return @{url = $url
		checksum = $checksum}
	} else {
		return @{url = $urlVista2003
		checksum = $checksumVista2003}
	}
}

$file = getFile

$packageArgs = @{
  packageName            = "$env:chocolateyPackageName"
  url                    = $file.url
  url64bit               = 'https://github.com/z3APA3A/3proxy/releases/download/0.8.12/3proxy-0.8.12-x64.zip'
  UnzipLocation          = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
  checksum               = $file.checksum
  checksum64             = 'a028580d918b030b963696a5466977322f35b9bebd77449d6e000bfc32330c81'
  checksumType           = 'sha256'
  checksumType64         = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs
